{"id":18079,"date":"2018-11-24T08:02:24","date_gmt":"2018-11-24T08:02:24","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?post_type=docs&#038;p=15528"},"modified":"2021-03-25T07:53:56","modified_gmt":"2021-03-25T07:53:56","slug":"get-roles-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/get-roles-api\/","title":{"rendered":"Get Roles API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To retrieve the list of bot or admin roles available in an account.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from Bot Admin Console.<br \/>\nTo use this API, app needs the Admin API Scope of <em>Role Management<\/em> under <em>Role Management<\/em>.<\/p>\n<p><b>GET <\/b><code>https:\/\/{{host}}\/api\/public\/roles?roleType=bot&amp;limit=2<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Required\/Optional<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>roleType<\/td>\n<td>Required<\/td>\n<td>The role type:<\/p>\n<ul>\n<li><strong>admin<\/strong> or<\/li>\n<li><strong>bot<\/strong><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td>limit<\/td>\n<td>Optional<\/td>\n<td>The number of records to fetch. The maximum applicable limit is 50.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X GET \\\r\n  'https:\/\/{{host}}\/api\/public\/roles?roleType=bot&amp;limit=2' \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n    \"total\": 2,\r\n    \"availableMore\": false,\r\n    \"roles\": [\r\n        {\r\n            \"roleType\": \"admin\",\r\n            \"role\": \"admin\",\r\n            \"rDesc\": \"Master administration role with full control on account activity\",\r\n            \"permissions\": {\r\n                \"Invite\": \"YES\",\r\n                \"Import Users \/ Sync\": \"YES\",\r\n                \"Directory Sync\": \"YES\",\r\n                \"Manage User Profile Fields\": \"YES\",\r\n                \"Manage Groups\": \"YES\",\r\n                \"Manage Deployment\": \"YES\",\r\n                \"Enterprise Bots\": \"YES\",\r\n                \"Password Policies\": \"YES\",\r\n                \"Single Sign On\": \"YES\",\r\n                \"Domain Management\": \"YES\",\r\n                \"Kore.ai Connector\": \"YES\",\r\n                \"Manage Built-In Admin Roles\": \"YES\",\r\n                \"Manage Custom Admin Roles\": \"YES\",\r\n                \"View and Run Audit Reports\": \"YES\",\r\n                \"Consumer Bots\": \"YES\",\r\n                \"View and Run Bot Chat History\": \"YES\",\r\n                \"Manage Bot Roles\": \"YES\",\r\n                \"Preferences\": \"YES\",\r\n                \"Smart Bots\": \"YES\",\r\n                \"API Scopes\": \"YES\",\r\n                \"Enterprise Key\": \"YES\"\r\n            }\r\n        },\r\n        {\r\n            \"roleType\": \"admin\",\r\n            \"role\": \"sample admin\",\r\n            \"permissions\": {\r\n                \"Invite\": \"YES\",\r\n                \"Import Users \/ Sync\": \"NO\",\r\n                \"Directory Sync\": \"NO\",\r\n                \"Manage User Profile Fields\": \"YES\",\r\n                \"Manage Groups\": \"YES\",\r\n                \"Manage Deployment\": \"YES\",\r\n                \"Enterprise Bots\": \"YES\",\r\n                \"Smart Bots\": \"YES\",\r\n                \"Preferences\": \"YES\",\r\n                \"Single Sign On\": \"YES\",\r\n                \"Kore.ai Connector\": \"YES\",\r\n                \"Manage Built-In Admin Roles\": \"YES\",\r\n                \"Manage Bot Roles\": \"YES\",\r\n                \"Manage Custom Admin Roles\": \"YES\",\r\n                \"View and Run Audit Reports\": \"YES\",\r\n                \"View and Run Bot Chat History\": \"YES\",\r\n                \"Consumer Bots\": \"YES\",\r\n                \"API Scopes\": \"YES\",\r\n                \"Enterprise Key\": \"YES\"\r\n            },\r\n            \"rDesc\": \"\"\r\n        }\r\n    ]\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To retrieve the list of bot or admin roles available in an account. This API requires JWT generated by an application created only from Bot Admin Console. To use this API, app needs the Admin API Scope of Role Management under Role Management. GET https:\/\/{{host}}\/api\/public\/roles?roleType=bot&amp;limit=2 Query Parameters Parameter Required\/Optional Description host Required Environment URL, for...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18079","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18079","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=18079"}],"version-history":[{"count":10,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18079\/revisions"}],"predecessor-version":[{"id":23087,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18079\/revisions\/23087"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=18079"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=18079"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=18079"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}